# LevelCapPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class LevelCapPhase

#### Hierarchy (View Summary)

- FieldPhase
  - LevelCapPhase

- Defined in src/phases/level-cap-phase.ts:6

##### Index

### Constructors

constructor

### Methods

end
executeForAll
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new LevelCapPhase(): LevelCapPhase

  #### Returns LevelCapPhase

  Inherited from FieldPhase.constructor

  - Defined in src/phases/battle-phase.ts:6

## Methods

### end

- end(): void

  #### Returns void

  Inherited from FieldPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from FieldPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from FieldPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from FieldPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides FieldPhase.start

  - Defined in src/phases/level-cap-phase.ts:7